package mysqlite

import (
	"fmt"
	"zombiezen.com/go/sqlite"
)

type Db struct {
	Db *sqlite.Conn
}

func OpenDb(databaseSource string) (*Db, error) {
	conn, err := sqlite.OpenConn(databaseSource)
	if err != nil {
		return nil, err
	}
	return &Db{Db: conn}, nil
}

func (d *Db) Close() error {
	return d.Db.Close()
}

func (d *Db) MustClose() {
	err := d.Close()
	if err != nil {
		panic(fmt.Sprintf("error closing db: %v", err))
	}
}
